## rust-sequoia-openpgp 1.19.0

=== debian/changelog ===
rust-sequoia-openpgp (1.19.0-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:17:04 +1100

rust-sequoia-openpgp (1.19.0-1) unstable; urgency=medium

  * Package sequoia-openpgp 1.19.0 from crates.io using debcargo 2.6.1

 -- Alexander Kjäll <alexander.kjall@gmail.com>  Sat, 02 Mar 2024 14:23:02 +0100
