## rust-sequoia-openpgp 1.21.1

=== debian/changelog ===
rust-sequoia-openpgp (1.21.1-2) unstable; urgency=medium

  * Team upload.
  * Package sequoia-openpgp 1.21.1 from crates.io using debcargo 2.6.1
  * Remove dependency on p521 crate, it's not in Debian and not used
    by any of the crypto backends currently enabled in Debian.

 -- Peter Michael Green <plugwash@debian.org>  Sun, 30 Jun 2024 23:24:15 +0000

rust-sequoia-openpgp (1.21.1-1) unstable; urgency=medium

  * Package sequoia-openpgp 1.21.1 from crates.io using debcargo 2.6.1

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 28 Jun 2024 12:01:06 -0400

rust-sequoia-openpgp (1.21.0-1) unstable; urgency=medium

  * Package sequoia-openpgp 1.21.0 from crates.io using debcargo 2.6.1

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 28 Jun 2024 02:30:59 -0400

rust-sequoia-openpgp (1.20.0-2) unstable; urgency=medium

  * Package sequoia-openpgp 1.20.0 from crates.io using debcargo 2.6.1
  * Upgrade memsec dependency to version 0.7.

 -- Alexander Kjäll <alexander.kjall@gmail.com>  Sat, 08 Jun 2024 23:30:23 -0400

rust-sequoia-openpgp (1.20.0-1) unstable; urgency=medium

  * Package sequoia-openpgp 1.20.0 from crates.io using debcargo 2.6.1
  * Avoid having to bump base64 from 0.21.7 to 0.22.0 for now
  * Drop divergence from debcargo-generated debian/control

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 17 Apr 2024 21:22:03 -0400
