=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
  librust-lalrpop-util-0.20+default-dev <!nocheck>,
  librust-lazy-static-1+default-dev (>= 1.4.0-~~) <!nocheck>,
  librust-libc-0.2+default-dev (>= 0.2.66-~~) <!nocheck>,
- librust-memsec-dev (<< 0.7-~~) <!nocheck>,
+ librust-memsec-0.7-dev <!nocheck> | librust-memsec-0.6-dev <!nocheck> | librust-memsec-0.5-dev <!nocheck>,
  librust-nettle-7+default-dev (>= 7.3-~~) <!nocheck>,
  librust-once-cell-1+default-dev <!nocheck>,
  librust-regex-1+default-dev <!nocheck>,
@@ -28,8 +28,7 @@
  librust-thiserror-1+default-dev (>= 1.0.2-~~) <!nocheck>,
  librust-xxhash-rust-0.8+default-dev <!nocheck>,
  librust-xxhash-rust-0.8+xxh3-dev <!nocheck>
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
+Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
 Uploaders:
  Alexander Kjäll <alexander.kjall@gmail.com>,
  Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
@@ -90,7 +89,7 @@
  librust-libc-0.2+default-dev (>= 0.2.66-~~),
  librust-md-5-0.10+default-dev,
  librust-md-5-0.10+oid-dev,
- librust-memsec-dev (<< 0.7-~~),
+ librust-memsec-0.7-dev | librust-memsec-0.6-dev | librust-memsec-0.5-dev,
  librust-nettle-7+default-dev (>= 7.3-~~),
  librust-num-bigint-dig-0.8-dev,
  librust-once-cell-1+default-dev,
@@ -99,6 +98,9 @@
  librust-p256-0.13+default-dev,
  librust-p256-0.13+ecdh-dev,
  librust-p256-0.13+ecdsa-dev,
+ librust-p384-0.13+default-dev,
+ librust-p384-0.13+ecdh-dev,
+ librust-p384-0.13+ecdsa-dev,
  librust-rand-0.8-dev,
  librust-rand-core-0.6+default-dev,
  librust-regex-1+default-dev,
@@ -116,6 +118,14 @@
  librust-xxhash-rust-0.8+xxh3-dev
 Provides:
  librust-sequoia-openpgp+--implicit-crypto-backend-for-tests-dev (= ${binary:Version}),
+ librust-sequoia-openpgp+aes-dev (= ${binary:Version}),
+ librust-sequoia-openpgp+aes-gcm-dev (= ${binary:Version}),
+ librust-sequoia-openpgp+block-padding-dev (= ${binary:Version}),
+ librust-sequoia-openpgp+blowfish-dev (= ${binary:Version}),
+ librust-sequoia-openpgp+camellia-dev (= ${binary:Version}),
+ librust-sequoia-openpgp+cast5-dev (= ${binary:Version}),
+ librust-sequoia-openpgp+cfb-mode-dev (= ${binary:Version}),
+ librust-sequoia-openpgp+cipher-dev (= ${binary:Version}),
  librust-sequoia-openpgp+compression-dev (= ${binary:Version}),
  librust-sequoia-openpgp+compression-bzip2-dev (= ${binary:Version}),
  librust-sequoia-openpgp+compression-deflate-dev (= ${binary:Version}),
@@ -125,8 +135,34 @@
  librust-sequoia-openpgp+crypto-nettle-dev (= ${binary:Version}),
  librust-sequoia-openpgp+crypto-openssl-dev (= ${binary:Version}),
  librust-sequoia-openpgp+default-dev (= ${binary:Version}),
+ librust-sequoia-openpgp+des-dev (= ${binary:Version}),
+ librust-sequoia-openpgp+digest-dev (= ${binary:Version}),
+ librust-sequoia-openpgp+dsa-dev (= ${binary:Version}),
+ librust-sequoia-openpgp+eax-dev (= ${binary:Version}),
+ librust-sequoia-openpgp+ecb-dev (= ${binary:Version}),
+ librust-sequoia-openpgp+ecdsa-dev (= ${binary:Version}),
+ librust-sequoia-openpgp+ed25519-dev (= ${binary:Version}),
+ librust-sequoia-openpgp+idea-dev (= ${binary:Version}),
+ librust-sequoia-openpgp+md-5-dev (= ${binary:Version}),
+ librust-sequoia-openpgp+num-bigint-dig-dev (= ${binary:Version}),
+ librust-sequoia-openpgp+p256-dev (= ${binary:Version}),
+ librust-sequoia-openpgp+p384-dev (= ${binary:Version}),
+ librust-sequoia-openpgp+rand-dev (= ${binary:Version}),
+ librust-sequoia-openpgp+rand-core-dev (= ${binary:Version}),
+ librust-sequoia-openpgp+ripemd-dev (= ${binary:Version}),
+ librust-sequoia-openpgp+sha2-dev (= ${binary:Version}),
+ librust-sequoia-openpgp+twofish-dev (= ${binary:Version}),
+ librust-sequoia-openpgp+typenum-dev (= ${binary:Version}),
  librust-sequoia-openpgp-1-dev (= ${binary:Version}),
  librust-sequoia-openpgp-1+--implicit-crypto-backend-for-tests-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1+aes-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1+aes-gcm-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1+block-padding-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1+blowfish-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1+camellia-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1+cast5-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1+cfb-mode-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1+cipher-dev (= ${binary:Version}),
  librust-sequoia-openpgp-1+compression-dev (= ${binary:Version}),
  librust-sequoia-openpgp-1+compression-bzip2-dev (= ${binary:Version}),
  librust-sequoia-openpgp-1+compression-deflate-dev (= ${binary:Version}),
@@ -136,27 +172,62 @@
  librust-sequoia-openpgp-1+crypto-nettle-dev (= ${binary:Version}),
  librust-sequoia-openpgp-1+crypto-openssl-dev (= ${binary:Version}),
  librust-sequoia-openpgp-1+default-dev (= ${binary:Version}),
- librust-sequoia-openpgp-1.19-dev (= ${binary:Version}),
- librust-sequoia-openpgp-1.19+--implicit-crypto-backend-for-tests-dev (= ${binary:Version}),
- librust-sequoia-openpgp-1.19+compression-dev (= ${binary:Version}),
- librust-sequoia-openpgp-1.19+compression-bzip2-dev (= ${binary:Version}),
- librust-sequoia-openpgp-1.19+compression-deflate-dev (= ${binary:Version}),
- librust-sequoia-openpgp-1.19+crypto-botan-dev (= ${binary:Version}),
- librust-sequoia-openpgp-1.19+crypto-botan2-dev (= ${binary:Version}),
- librust-sequoia-openpgp-1.19+crypto-fuzzing-dev (= ${binary:Version}),
- librust-sequoia-openpgp-1.19+crypto-nettle-dev (= ${binary:Version}),
- librust-sequoia-openpgp-1.19+crypto-openssl-dev (= ${binary:Version}),
- librust-sequoia-openpgp-1.19+default-dev (= ${binary:Version}),
- librust-sequoia-openpgp-1.19.0-dev (= ${binary:Version}),
- librust-sequoia-openpgp-1.19.0+--implicit-crypto-backend-for-tests-dev (= ${binary:Version}),
- librust-sequoia-openpgp-1.19.0+compression-dev (= ${binary:Version}),
- librust-sequoia-openpgp-1.19.0+compression-bzip2-dev (= ${binary:Version}),
- librust-sequoia-openpgp-1.19.0+compression-deflate-dev (= ${binary:Version}),
- librust-sequoia-openpgp-1.19.0+crypto-botan-dev (= ${binary:Version}),
- librust-sequoia-openpgp-1.19.0+crypto-botan2-dev (= ${binary:Version}),
- librust-sequoia-openpgp-1.19.0+crypto-fuzzing-dev (= ${binary:Version}),
- librust-sequoia-openpgp-1.19.0+crypto-nettle-dev (= ${binary:Version}),
- librust-sequoia-openpgp-1.19.0+crypto-openssl-dev (= ${binary:Version}),
- librust-sequoia-openpgp-1.19.0+default-dev (= ${binary:Version}),
-Description: OpenPGP data types and associated machinery - Rust source code
- Source code for Debianized Rust crate "sequoia-openpgp"
+ librust-sequoia-openpgp-1+des-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1+digest-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1+dsa-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1+eax-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1+ecb-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1+ecdsa-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1+ed25519-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1+idea-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1+md-5-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1+num-bigint-dig-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1+p256-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1+p384-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1+rand-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1+rand-core-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1+ripemd-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1+sha2-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1+twofish-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1+typenum-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1.21-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1.21+--implicit-crypto-backend-for-tests-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1.21+aes-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1.21+aes-gcm-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1.21+block-padding-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1.21+blowfish-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1.21+camellia-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1.21+cast5-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1.21+cfb-mode-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1.21+cipher-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1.21+compression-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1.21+compression-bzip2-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1.21+compression-deflate-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1.21+crypto-botan-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1.21+crypto-botan2-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1.21+crypto-fuzzing-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1.21+crypto-nettle-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1.21+crypto-openssl-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1.21+default-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1.21+des-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1.21+digest-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1.21+dsa-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1.21+eax-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1.21+ecb-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1.21+ecdsa-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1.21+ed25519-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1.21+idea-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1.21+md-5-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1.21+num-bigint-dig-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1.21+p256-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1.21+p384-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1.21+rand-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1.21+rand-core-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1.21+ripemd-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1.21+sha2-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1.21+twofish-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1.21+typenum-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1.21.1-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1.21.1+--implicit-crypto-backend-for-tests-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1.21.1+aes-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1.21.1+aes-gcm-dev (= ${binary:Version}),
