## rust-sequoia-openpgp 1.21.2

=== debian/changelog ===
rust-sequoia-openpgp (1.21.2-2) unstable; urgency=medium

  * Team upload.
  * Package sequoia-openpgp 1.21.2 from crates.io using debcargo 2.7.0
  * update to base64 0.22

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Sat, 05 Oct 2024 16:00:52 +0200

rust-sequoia-openpgp (1.21.2-1) unstable; urgency=medium

  * Package sequoia-openpgp 1.21.2 from crates.io using debcargo 2.6.1

 -- Holger Levsen <holger@debian.org>  Tue, 10 Sep 2024 14:34:58 +0200
