=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: rust-sequoia-openpgp
 Section: rust
 Priority: optional
-Build-Depends: debhelper (>= 12),
+Build-Depends: debhelper-compat (= 13),
  dh-cargo (>= 25),
  cargo:native <!nocheck>,
  rustc:native (>= 1.67) <!nocheck>,
  libstd-rust-dev <!nocheck>,
  librust-anyhow-1+default-dev (>= 1.0.18-~~) <!nocheck>,
- librust-base64-0.21+default-dev <!nocheck>,
+ librust-base64-0.22+default-dev <!nocheck>,
  librust-buffered-reader-1+compression-bzip2-dev (>= 1.3.0-~~) <!nocheck>,
  librust-buffered-reader-1+compression-deflate-dev (>= 1.3.0-~~) <!nocheck>,
  librust-buffered-reader-1-dev (>= 1.3.0-~~) <!nocheck>,
@@ -33,7 +33,7 @@
  Alexander Kjäll <alexander.kjall@gmail.com>,
  Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
  Holger Levsen <holger@debian.org>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/sequoia-openpgp]
 Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/sequoia-openpgp
 Homepage: https://sequoia-pgp.org/
@@ -50,7 +50,7 @@
  librust-aes-gcm-0.10+default-dev,
  librust-aes-gcm-0.10+std-dev,
  librust-anyhow-1+default-dev (>= 1.0.18-~~),
- librust-base64-0.21+default-dev,
+ librust-base64-0.22+default-dev,
  librust-block-padding-0.3+default-dev,
  librust-blowfish-0.9+default-dev,
  librust-blowfish-0.9+zeroize-dev,
@@ -227,7 +227,7 @@
  librust-sequoia-openpgp-1.21+sha2-dev (= ${binary:Version}),
  librust-sequoia-openpgp-1.21+twofish-dev (= ${binary:Version}),
  librust-sequoia-openpgp-1.21+typenum-dev (= ${binary:Version}),
- librust-sequoia-openpgp-1.21.1-dev (= ${binary:Version}),
- librust-sequoia-openpgp-1.21.1+--implicit-crypto-backend-for-tests-dev (= ${binary:Version}),
- librust-sequoia-openpgp-1.21.1+aes-dev (= ${binary:Version}),
- librust-sequoia-openpgp-1.21.1+aes-gcm-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1.21.2-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1.21.2+--implicit-crypto-backend-for-tests-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1.21.2+aes-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1.21.2+aes-gcm-dev (= ${binary:Version}),
