## rust-sequoia-openpgp 1.22.0

=== debian/changelog ===
rust-sequoia-openpgp (1.22.0-1) unstable; urgency=medium

  * Package sequoia-openpgp 1.22.0 from crates.io using debcargo 2.7.6

 -- Alexander Kjäll <alexander.kjall@gmail.com>  Mon, 03 Feb 2025 16:50:25 +0100
