=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: rust
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
- dh-cargo (>= 25),
+ dh-sequence-cargo,
  cargo:native <!nocheck>,
- rustc:native (>= 1.67) <!nocheck>,
+ rustc:native (>= 1.70) <!nocheck>,
  libstd-rust-dev <!nocheck>,
  librust-anyhow-1+default-dev (>= 1.0.18-~~) <!nocheck>,
  librust-base64-0.22+default-dev <!nocheck>,
@@ -19,7 +19,7 @@
  librust-lalrpop-util-0.20+default-dev <!nocheck>,
  librust-lazy-static-1+default-dev (>= 1.4.0-~~) <!nocheck>,
  librust-libc-0.2+default-dev (>= 0.2.66-~~) <!nocheck>,
- librust-memsec-0.7-dev <!nocheck> | librust-memsec-0.6-dev <!nocheck> | librust-memsec-0.5-dev <!nocheck>,
+ librust-memsec-0.7-dev <!nocheck>,
  librust-nettle-7+default-dev (>= 7.3-~~) <!nocheck>,
  librust-once-cell-1+default-dev <!nocheck>,
  librust-regex-1+default-dev <!nocheck>,
@@ -89,7 +89,7 @@
  librust-libc-0.2+default-dev (>= 0.2.66-~~),
  librust-md-5-0.10+default-dev,
  librust-md-5-0.10+oid-dev,
- librust-memsec-0.7-dev | librust-memsec-0.6-dev | librust-memsec-0.5-dev,
+ librust-memsec-0.7-dev,
  librust-nettle-7+default-dev (>= 7.3-~~),
  librust-num-bigint-dig-0.8-dev,
  librust-once-cell-1+default-dev,
@@ -190,44 +190,46 @@
  librust-sequoia-openpgp-1+sha2-dev (= ${binary:Version}),
  librust-sequoia-openpgp-1+twofish-dev (= ${binary:Version}),
  librust-sequoia-openpgp-1+typenum-dev (= ${binary:Version}),
- librust-sequoia-openpgp-1.21-dev (= ${binary:Version}),
- librust-sequoia-openpgp-1.21+--implicit-crypto-backend-for-tests-dev (= ${binary:Version}),
- librust-sequoia-openpgp-1.21+aes-dev (= ${binary:Version}),
- librust-sequoia-openpgp-1.21+aes-gcm-dev (= ${binary:Version}),
- librust-sequoia-openpgp-1.21+block-padding-dev (= ${binary:Version}),
- librust-sequoia-openpgp-1.21+blowfish-dev (= ${binary:Version}),
- librust-sequoia-openpgp-1.21+camellia-dev (= ${binary:Version}),
- librust-sequoia-openpgp-1.21+cast5-dev (= ${binary:Version}),
- librust-sequoia-openpgp-1.21+cfb-mode-dev (= ${binary:Version}),
- librust-sequoia-openpgp-1.21+cipher-dev (= ${binary:Version}),
- librust-sequoia-openpgp-1.21+compression-dev (= ${binary:Version}),
- librust-sequoia-openpgp-1.21+compression-bzip2-dev (= ${binary:Version}),
- librust-sequoia-openpgp-1.21+compression-deflate-dev (= ${binary:Version}),
- librust-sequoia-openpgp-1.21+crypto-botan-dev (= ${binary:Version}),
- librust-sequoia-openpgp-1.21+crypto-botan2-dev (= ${binary:Version}),
- librust-sequoia-openpgp-1.21+crypto-fuzzing-dev (= ${binary:Version}),
- librust-sequoia-openpgp-1.21+crypto-nettle-dev (= ${binary:Version}),
- librust-sequoia-openpgp-1.21+crypto-openssl-dev (= ${binary:Version}),
- librust-sequoia-openpgp-1.21+default-dev (= ${binary:Version}),
- librust-sequoia-openpgp-1.21+des-dev (= ${binary:Version}),
- librust-sequoia-openpgp-1.21+digest-dev (= ${binary:Version}),
- librust-sequoia-openpgp-1.21+dsa-dev (= ${binary:Version}),
- librust-sequoia-openpgp-1.21+eax-dev (= ${binary:Version}),
- librust-sequoia-openpgp-1.21+ecb-dev (= ${binary:Version}),
- librust-sequoia-openpgp-1.21+ecdsa-dev (= ${binary:Version}),
- librust-sequoia-openpgp-1.21+ed25519-dev (= ${binary:Version}),
- librust-sequoia-openpgp-1.21+idea-dev (= ${binary:Version}),
- librust-sequoia-openpgp-1.21+md-5-dev (= ${binary:Version}),
- librust-sequoia-openpgp-1.21+num-bigint-dig-dev (= ${binary:Version}),
- librust-sequoia-openpgp-1.21+p256-dev (= ${binary:Version}),
- librust-sequoia-openpgp-1.21+p384-dev (= ${binary:Version}),
- librust-sequoia-openpgp-1.21+rand-dev (= ${binary:Version}),
- librust-sequoia-openpgp-1.21+rand-core-dev (= ${binary:Version}),
- librust-sequoia-openpgp-1.21+ripemd-dev (= ${binary:Version}),
- librust-sequoia-openpgp-1.21+sha2-dev (= ${binary:Version}),
- librust-sequoia-openpgp-1.21+twofish-dev (= ${binary:Version}),
- librust-sequoia-openpgp-1.21+typenum-dev (= ${binary:Version}),
- librust-sequoia-openpgp-1.21.2-dev (= ${binary:Version}),
- librust-sequoia-openpgp-1.21.2+--implicit-crypto-backend-for-tests-dev (= ${binary:Version}),
- librust-sequoia-openpgp-1.21.2+aes-dev (= ${binary:Version}),
- librust-sequoia-openpgp-1.21.2+aes-gcm-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1.22-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1.22+--implicit-crypto-backend-for-tests-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1.22+aes-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1.22+aes-gcm-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1.22+block-padding-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1.22+blowfish-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1.22+camellia-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1.22+cast5-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1.22+cfb-mode-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1.22+cipher-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1.22+compression-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1.22+compression-bzip2-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1.22+compression-deflate-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1.22+crypto-botan-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1.22+crypto-botan2-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1.22+crypto-fuzzing-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1.22+crypto-nettle-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1.22+crypto-openssl-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1.22+default-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1.22+des-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1.22+digest-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1.22+dsa-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1.22+eax-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1.22+ecb-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1.22+ecdsa-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1.22+ed25519-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1.22+idea-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1.22+md-5-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1.22+num-bigint-dig-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1.22+p256-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1.22+p384-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1.22+rand-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1.22+rand-core-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1.22+ripemd-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1.22+sha2-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1.22+twofish-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1.22+typenum-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1.22.0-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1.22.0+--implicit-crypto-backend-for-tests-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1.22.0+aes-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1.22.0+aes-gcm-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1.22.0+block-padding-dev (= ${binary:Version}),
+ librust-sequoia-openpgp-1.22.0+blowfish-dev (= ${binary:Version}),
